Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetAllAttachmentsCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<List<Attachment>>
          org.jbpm.services.task.commands.GetAllAttachmentsCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<Attachment>>, Command<List<Attachment>>

    public class GetAllAttachmentsCommand

extends TaskCommand<List<Attachment>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, userId`

Constructor Summary
`GetAllAttachmentsCommand()`
`GetAllAttachmentsCommand(Long taskId)`

Method Summary
`List<Attachment>` | `execute(org.kie.internal.command.Context cntxt)`
`Long` | `getTaskId()`
`void` | `setTaskId(Long taskId)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getUserId, setGroupsIds, setTargetEntityId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetAllAttachmentsCommand

    public GetAllAttachmentsCommand()

### GetAllAttachmentsCommand

    public GetAllAttachmentsCommand(Long taskId)

Method Detail

### getTaskId

    public Long getTaskId()

  Overrides:
    `getTaskId` in class `TaskCommand<List<Attachment>>`

### setTaskId

    public void setTaskId(Long taskId)

  Overrides:
    `setTaskId` in class `TaskCommand<List<Attachment>>`

### execute

    public List<Attachment> execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.